const { EmbedBuilder } = require('discord.js');
var unirest = require('unirest');
const jsonfile = require('jsonfile')

module.exports = {
  name: "view-session-id",
  description: "View your currently assigned session ID",
  private: true,
  run: async (client, interaction) => {
    const file = './cache/' + interaction.user.id

    jsonfile.readFile(file, function (err, obj) {
      if (err) return interaction.editReply('Please create a session using /create-session.');

      const embed = new EmbedBuilder()
        .setColor("#FF0000")
        .setTitle("New Chat Session Started!")
        .setDescription(`Current Session ID: \n` + obj.id)
        .setTimestamp()
        .setFooter({ text: `Requested by ${interaction.user.tag}`, iconURL: `${interaction.user.displayAvatarURL()}` });
      interaction.followUp({ embeds: [embed] });
    })

  },
};